Package org.jboss.resteasy.reactor

## Class FluxRxInvokerImpl

- java.lang.Object
- - org.jboss.resteasy.reactor.FluxRxInvokerImpl

- All Implemented Interfaces:
    `javax.ws.rs.client.RxInvoker<reactor.core.publisher.Flux<?>>`, `FluxRxInvoker`

      public class FluxRxInvokerImpl
      extends Object
      implements FluxRxInvoker

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `FluxRxInvokerImpl​(javax.ws.rs.client.SyncInvoker syncInvoker, ExecutorService executorService)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `reactor.core.publisher.Flux<?>` | `delete()` |
    `<R> reactor.core.publisher.Flux<?>` | `delete​(Class<R> responseType)` |
    `<R> reactor.core.publisher.Flux<?>` | `delete​(javax.ws.rs.core.GenericType<R> responseType)` |
    `reactor.core.publisher.Flux<?>` | `get()` |
    `<R> reactor.core.publisher.Flux<?>` | `get​(Class<R> responseType)` |
    `<R> reactor.core.publisher.Flux<?>` | `get​(javax.ws.rs.core.GenericType<R> responseType)` |
    `reactor.core.publisher.FluxSink.OverflowStrategy` | `getOverflowStrategy()` |
    `reactor.core.publisher.Flux<?>` | `head()` |
    `reactor.core.publisher.Flux<?>` | `method​(String name)` |
    `<R> reactor.core.publisher.Flux<?>` | `method​(String name, Class<R> responseType)` |
    `reactor.core.publisher.Flux<?>` | `method​(String name, javax.ws.rs.client.Entity<?> entity)` |
    `<R> reactor.core.publisher.Flux<?>` | `method​(String name, javax.ws.rs.client.Entity<?> entity, Class<R> responseType)` |
    `<R> reactor.core.publisher.Flux<?>` | `method​(String name, javax.ws.rs.client.Entity<?> entity, javax.ws.rs.core.GenericType<R> responseType)` |
    `<R> reactor.core.publisher.Flux<?>` | `method​(String name, javax.ws.rs.core.GenericType<R> responseType)` |
    `reactor.core.publisher.Flux<?>` | `options()` |
    `<R> reactor.core.publisher.Flux<?>` | `options​(Class<R> responseType)` |
    `<R> reactor.core.publisher.Flux<?>` | `options​(javax.ws.rs.core.GenericType<R> responseType)` |
    `reactor.core.publisher.Flux<?>` | `post​(javax.ws.rs.client.Entity<?> entity)` |
    `<R> reactor.core.publisher.Flux<?>` | `post​(javax.ws.rs.client.Entity<?> entity, Class<R> responseType)` |
    `<R> reactor.core.publisher.Flux<?>` | `post​(javax.ws.rs.client.Entity<?> entity, javax.ws.rs.core.GenericType<R> responseType)` |
    `reactor.core.publisher.Flux<?>` | `put​(javax.ws.rs.client.Entity<?> entity)` |
    `<R> reactor.core.publisher.Flux<?>` | `put​(javax.ws.rs.client.Entity<?> entity, Class<R> responseType)` |
    `<R> reactor.core.publisher.Flux<?>` | `put​(javax.ws.rs.client.Entity<?> entity, javax.ws.rs.core.GenericType<R> responseType)` |
    `void` | `setOverflowStrategy​(reactor.core.publisher.FluxSink.OverflowStrategy overflowStrategy)` |
    `reactor.core.publisher.Flux<?>` | `trace()` |
    `<R> reactor.core.publisher.Flux<?>` | `trace​(Class<R> responseType)` |
    `<R> reactor.core.publisher.Flux<?>` | `trace​(javax.ws.rs.core.GenericType<R> responseType)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### FluxRxInvokerImpl

          public FluxRxInvokerImpl​(javax.ws.rs.client.SyncInvoker syncInvoker,
                                   ExecutorService executorService)

  - ### Method Detail

    - #### get

          public reactor.core.publisher.Flux<?> get()

      Specified by:
        `get` in interface `javax.ws.rs.client.RxInvoker<reactor.core.publisher.Flux<?>>`

    - #### get

          public <R> reactor.core.publisher.Flux<?> get​(Class<R> responseType)

      Specified by:
        `get` in interface `javax.ws.rs.client.RxInvoker<reactor.core.publisher.Flux<?>>`

    - #### get

          public <R> reactor.core.publisher.Flux<?> get​(javax.ws.rs.core.GenericType<R> responseType)

      Specified by:
        `get` in interface `javax.ws.rs.client.RxInvoker<reactor.core.publisher.Flux<?>>`

    - #### put

          public reactor.core.publisher.Flux<?> put​(javax.ws.rs.client.Entity<?> entity)

      Specified by:
        `put` in interface `javax.ws.rs.client.RxInvoker<reactor.core.publisher.Flux<?>>`

    - #### put

          public <R> reactor.core.publisher.Flux<?> put​(javax.ws.rs.client.Entity<?> entity,
                                                        Class<R> responseType)

      Specified by:
        `put` in interface `javax.ws.rs.client.RxInvoker<reactor.core.publisher.Flux<?>>`

    - #### put

          public <R> reactor.core.publisher.Flux<?> put​(javax.ws.rs.client.Entity<?> entity,
                                                        javax.ws.rs.core.GenericType<R> responseType)

      Specified by:
        `put` in interface `javax.ws.rs.client.RxInvoker<reactor.core.publisher.Flux<?>>`

    - #### post

          public reactor.core.publisher.Flux<?> post​(javax.ws.rs.client.Entity<?> entity)

      Specified by:
        `post` in interface `javax.ws.rs.client.RxInvoker<reactor.core.publisher.Flux<?>>`

    - #### post

          public <R> reactor.core.publisher.Flux<?> post​(javax.ws.rs.client.Entity<?> entity,
                                                         Class<R> responseType)

      Specified by:
        `post` in interface `javax.ws.rs.client.RxInvoker<reactor.core.publisher.Flux<?>>`

    - #### post

          public <R> reactor.core.publisher.Flux<?> post​(javax.ws.rs.client.Entity<?> entity,
                                                         javax.ws.rs.core.GenericType<R> responseType)

      Specified by:
        `post` in interface `javax.ws.rs.client.RxInvoker<reactor.core.publisher.Flux<?>>`

    - #### delete

          public reactor.core.publisher.Flux<?> delete()

      Specified by:
        `delete` in interface `javax.ws.rs.client.RxInvoker<reactor.core.publisher.Flux<?>>`

    - #### delete

          public <R> reactor.core.publisher.Flux<?> delete​(Class<R> responseType)

      Specified by:
        `delete` in interface `javax.ws.rs.client.RxInvoker<reactor.core.publisher.Flux<?>>`

    - #### delete

          public <R> reactor.core.publisher.Flux<?> delete​(javax.ws.rs.core.GenericType<R> responseType)

      Specified by:
        `delete` in interface `javax.ws.rs.client.RxInvoker<reactor.core.publisher.Flux<?>>`

    - #### head

          public reactor.core.publisher.Flux<?> head()

      Specified by:
        `head` in interface `javax.ws.rs.client.RxInvoker<reactor.core.publisher.Flux<?>>`

    - #### options

          public reactor.core.publisher.Flux<?> options()

      Specified by:
        `options` in interface `javax.ws.rs.client.RxInvoker<reactor.core.publisher.Flux<?>>`

    - #### options

          public <R> reactor.core.publisher.Flux<?> options​(Class<R> responseType)

      Specified by:
        `options` in interface `javax.ws.rs.client.RxInvoker<reactor.core.publisher.Flux<?>>`

    - #### options

          public <R> reactor.core.publisher.Flux<?> options​(javax.ws.rs.core.GenericType<R> responseType)

      Specified by:
        `options` in interface `javax.ws.rs.client.RxInvoker<reactor.core.publisher.Flux<?>>`

    - #### trace

          public reactor.core.publisher.Flux<?> trace()

      Specified by:
        `trace` in interface `javax.ws.rs.client.RxInvoker<reactor.core.publisher.Flux<?>>`

    - #### trace

          public <R> reactor.core.publisher.Flux<?> trace​(Class<R> responseType)

      Specified by:
        `trace` in interface `javax.ws.rs.client.RxInvoker<reactor.core.publisher.Flux<?>>`

    - #### trace

          public <R> reactor.core.publisher.Flux<?> trace​(javax.ws.rs.core.GenericType<R> responseType)

      Specified by:
        `trace` in interface `javax.ws.rs.client.RxInvoker<reactor.core.publisher.Flux<?>>`

    - #### method

          public reactor.core.publisher.Flux<?> method​(String name)

      Specified by:
        `method` in interface `javax.ws.rs.client.RxInvoker<reactor.core.publisher.Flux<?>>`

    - #### method

          public <R> reactor.core.publisher.Flux<?> method​(String name,
                                                           Class<R> responseType)

      Specified by:
        `method` in interface `javax.ws.rs.client.RxInvoker<reactor.core.publisher.Flux<?>>`

    - #### method

          public <R> reactor.core.publisher.Flux<?> method​(String name,
                                                           javax.ws.rs.core.GenericType<R> responseType)

      Specified by:
        `method` in interface `javax.ws.rs.client.RxInvoker<reactor.core.publisher.Flux<?>>`

    - #### method

          public reactor.core.publisher.Flux<?> method​(String name,
                                                       javax.ws.rs.client.Entity<?> entity)

      Specified by:
        `method` in interface `javax.ws.rs.client.RxInvoker<reactor.core.publisher.Flux<?>>`

    - #### method

          public <R> reactor.core.publisher.Flux<?> method​(String name,
                                                           javax.ws.rs.client.Entity<?> entity,
                                                           Class<R> responseType)

      Specified by:
        `method` in interface `javax.ws.rs.client.RxInvoker<reactor.core.publisher.Flux<?>>`

    - #### method

          public <R> reactor.core.publisher.Flux<?> method​(String name,
                                                           javax.ws.rs.client.Entity<?> entity,
                                                           javax.ws.rs.core.GenericType<R> responseType)

      Specified by:
        `method` in interface `javax.ws.rs.client.RxInvoker<reactor.core.publisher.Flux<?>>`

    - #### getOverflowStrategy

          public reactor.core.publisher.FluxSink.OverflowStrategy getOverflowStrategy()

      Specified by:
        `getOverflowStrategy` in interface `FluxRxInvoker`

    - #### setOverflowStrategy

          public void setOverflowStrategy​(reactor.core.publisher.FluxSink.OverflowStrategy overflowStrategy)

      Specified by:
        `setOverflowStrategy` in interface `FluxRxInvoker`